<!DOCTYPE html>
<html lang="de">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Kombinatoren</title>
    </head>
    <style>

        /* Spezifität von Selektoren 

            [Style Attribute],[Ids],[Klasse,Psydoklasse,Attribute],[Elemente,Pseudoelemente]
                    A           B                  C                           D

            ------------------------------------------------------------------------------> Gewichtung
            Hoch                                                                    Niedrig


            Selektoren              | A B C D
            ------------------------+--------
            #oma .sohn > h3         | 0-1-1-1          
            .sohn > h3              | 0-0-1-1
                                    |
            *                       | 0-0-0-0
            h3                      | 0-0-0-1
            .enkel                  | 0-0-1-0
            #emilia                 | 0-1-0-0
            <a style="...">         | 1-0-0-0
            #oma div #emilia        | 0-2-0-1
            #oma .sohn div #emilia  | 0-2-1-1

            Gleiche Gewichtung, dann wieder Reihenfolge, ansonsten !important ...
        */  
		
    </style>
    <body>
       
        <!--    ********* Stammbaum *******            
                Oma
                |
                +----- Hubert    (Linda, zur Vollständigkeit)
                        |         |
                        +----+----+
                             |
                             Putzi    (Ixi, zur Vollständigkeit)
                             |         |
                             +----+----+
                                  |
                                  +--- Emila
                                  +--- Anna
                                  +--- Mia 

                Logische Aussagen:

                Decendant - Nachfahre 
                * Mia ist ein Nachfahre von Oma
                * Putzi ist ein Nachfahre von Oma
                Nicht gültig - Hubert ist ein Nachfahre von Putzi

                Childselector - Kindselector
                * Hubert ist ein Kind von Oma
                * Putzi ist ein Kind von Hubert 
                Nicht gültig - Mia ist ein Kind von Oma

                Sibling - Geschwister (nächstehende, adjected)
                * Anna ist ein Geschiwster vom Emilia
                * Mia ist ein Geschwister von Anna
                Nicht gültig - Mia ist ein Gescwister von Emila

                General silbling  (CSS L3/V3) 
                * Anna ist ein Geschiwster vom Emilia    
                * Mia ist ein Geschwister von Emilia                                    
        -->        

        <main>            
            <div id="oma" class="oma">
                <h3 style="">Oma</h3>                
                <div class="sohn hubert">
                    <h3>Hubert</h3>
                    <div class="enkel sohn putzi">
                        <h3 class="putzi">Putzi</h3>
                        <div name="dasisteintest" id="emilia" class="urenkel enkel tochter emilia"><h3>Emilia</h3></div>
                        <div class="urenkel enkel tochter anna"><h3>Anna</h3></div>
                        <div class="urenkel enkel tochter mia"><h3>Mia</h3></div>
                    </div>
                </div>
                <h2>---</h2>
            </div>            
            <div id="oma2" class="oma">
                <h3 data-meintest="blah">Oma 2</h3>  
                <div class="urenkel enkel tochter rita"><h3>Rita</h3></div> 
                <h2>---</h2>
            </div>
        </main>
    </body>
</html>